dpkg-deb(1)

BEZEICHNUNG
dpkg-deb - Manipulationswerkzeug für Debian-Paketarchive (.deb)

ÜBERSICHT
dpkg-deb [Option …] Befehl

BESCHREIBUNG
dpkg-deb packt und entpackt Debian-Archive und stellt Informationen über sie bereit.

Verwenden Sie dpkg, um Pakete auf Ihrem System hinzuzufügen oder zu entfernen.

Sie können dpkg-deb durch Aufruf von dpkg mit beliebigen Optionen, die Sie an dpkg-deb übergeben wollen, aufrufen. dpkg erkennt, dass Sie dpkg-deb wollten und wird es für Sie ausführen.

Bei den meisten Befehlen, die ein Archiv als Eingabeargument erwarten, kann der Archivname von der Standardeingabe gelesen werden, wenn er als einzelnes Minuszeichen („-“) angegeben ist. Falls dies nicht unterstützt wird, ist dies in der jeweiligen Beschreibung des Befehls dokumentiert.

BEFEHLE

-b, --build Programmverzeichnis [Archiv|Verzeichnis]
    Legt ein Debian-Archiv aus dem Dateisystembaum, der in Programmverzeichnis gespeichert ist, an. Programmverzeichnis muss ein DEBIAN-Unterverzeichnis aufweisen, das die Dateien mit Steuerinformation wie die control-Datei selbst enthält. Dieses Verzeichnis wird nicht in dem Dateisystemarchiv des Binärpakets auftauchen, sondern die Dateien selbst werden in den Steuer-Informationsbereich des Binärpakets gepackt.

    Falls Sie nicht --nocheck angeben, wird dpkg-deb DEBIAN/control lesen und es auswerten. Es prüft die Datei auf Syntax-Fehler und andere Probleme und zeigt den Namen des zu bauenden Binärpakets an. dpkg-deb wird auch die Rechte der Betreuer-Skripte und anderer Dateien im DEBIAN-Steuer-Informationsverzeichnis prüfen.

    Falls kein Archiv angegeben ist, wird dpkg-deb das Paket in die Datei Programmverzeichnis.deb schreiben.

    Falls das anzulegende Archiv bereits existiert, wird es überschrieben.

    Falls das zweite Argument ein Verzeichnis ist, wird dpkg-deb in die Datei Verzeichnis/Paket_Version_Arch.deb. schreiben. Wenn ein Zielverzeichnis statt einer Datei angegeben ist, darf die Option --nocheck nicht verwendet werden (da dpkg-deb die Paketsteuerdatei lesen und auswerten muss, um den zu verwendenden Dateinamen zu bestimmen).

-I, --info Archiv [Steuer-Dateiname …]
    Stellt Informationen über ein Binärpaketarchiv bereit.

    Falls keine Steuer-Dateinamen angegeben sind, wird es eine Zusammenfassung des Inhalts des Pakets sowie dessen control-Datei ausgeben.

    Falls Steuer-Dateinamen angegeben sind, wird dpkg-deb diese in der angegebenen Reihenfolge ausgeben; falls einige der Komponenten nicht vorhanden sind, wird es eine Fehlermeldung nach Stderr über jede ausgeben und sich mit dem Status 2 beenden.

-W, --show Archiv
    Stellt Informationen über Binärpaketarchive im Format dar, das mit dem Argument --showformat angegeben wurde. Das Standardformat zeigt den Paketnamen und die Paketversion in einer Zeile, getrennt durch einen Tabulator.

-f, --field Archiv [Steuer-Feldname …]
    Entpackt die Informationen der control-Datei aus einem Binärpaketarchiv.

    Falls keine Steuer-Feldnamen angegeben sind, gibt es die gesamte control-Datei aus.

    Falls welche angegeben sind, gibt dpkg-deb ihren Inhalt in der Reihenfolge aus, in der sie in der control-Datei angegeben sind. Falls mehr als ein Steuer-Feldname angegeben ist, stellt dpkg-deb jedem Inhalt seinen Feldnamen (und einen Doppelpunkt mit Leerzeichen) voran.

    Falls angeforderte Felder nicht gefunden werden, wird kein Fehler gemeldet.

-c, --contents Archiv
    Listet den Inhalt des Dateisystem-Archivanteils des Paketarchivs auf. Die Ausgabe erfolgt derzeit in dem Format, das von tar in der ausführlichen Auflistung erstellt wird.

-x, --extract Archiv Verzeichnis
    Entpackt den Dateisystembaum aus einem Paketarchiv in das angegebene Verzeichnis.

    Beachten Sie, dass das Entpacken eines Pakets in das Wurzelverzeichnis nicht zu einer korrekten Installation führt! Verwenden Sie dpkg zur Paketinstallation.

    Verzeichnis (aber nicht die übergeordneten) wird, falls notwendig, angelegt. Seine Rechte werden angepasst, um mit dem Inhalt des Pakets übereinzustimmen.

-X, --vextract Archiv Verzeichnis
    Ist wie --extract (-x) mit --verbose (-v), das beim Arbeiten eine Liste von entpackten Dateien ausgibt.

-R, --raw-extract Archiv Verzeichnis
    Entpackt den Dateisystembaum aus einem Paketarchiv in ein angegebenes Verzeichnis und die Steuerinformationsdateien in das DEBIAN-Unterverzeichnis des angegebenen Verzeichnisses (seit Dpkg 1.16.1).

    Das Zielverzeichnis (aber nicht übergeordnete) wird, falls notwendig, angelegt.

    Das Eingebearchiv wird (derzeit) nicht sequenziell verarbeitet, daher wird das Einlesen von der Standardeingabe („-“) nicht unterstützt.

--ctrl-tarfile Archiv
    Entnimmt die Steuerdaten aus einem Binärpaket und schickt sie zur Standardausgabe im tar-Format (seit Dpkg 1.17.14. Dies kann zusammen mit tar(1) verwendet werden, um eine bestimmte control-Datei aus einem Paketarchiv zu extrahieren. Das Eingabearchiv wird immer sequenziell verarbeitet.

--fsys-tarfile Archiv
    Entnimmt die Dateisystembaumdaten aus einem Binärpaket und schickt sie zur Standardausgabe im tar-Format. Dies kann zusammen mit tar(1) verwendet werden, um eine bestimmte Datei aus einem Paketarchiv zu extrahieren. Das Eingabearchiv wird immer sequenziell verarbeitet.

-e, --control Archiv [Verzeichnis]
    Entpackt die Steuer-Informationsdateien aus einem Paketarchiv in das angegebene Verzeichnis.

    Falls kein Verzeichnis angegeben ist, wird das Unterverzeichnis DEBIAN im aktuellen Verzeichnis verwendet.

    Das Zielverzeichnis (aber nicht übergeordnete) wird, falls notwendig, angelegt.

-?, --help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--version
    Gibt die Version aus und beendet das Programm.

OPTIONEN

--showformat=Format
    Diese Option wird dazu verwendet, das Format der Ausgabe anzugeben, das --show verwenden wird. Das Format ist eine Zeichenkette, die für jedes aufgeführte Paket ausgegeben wird.

    Die Zeichenkette darf jedes Statusfeld in der Form „${Feldname}“ referenzieren, eine Liste der möglichen Felder kann leicht mittels -I für das gleiche Paket ermittelt werden. Eine komplette Erläuterung der Formatieroptionen (darunter die Maskiersequenzen und Feld-Tabulatoren) kann in der Erklärung der Option --showformat von dpkg-query(1) gefunden werden.

    Die Voreinstellung für dieses Feld ist „${Package}\t${Version}\n“.

-zKomprimierstufe
    Gibt die Komprimierstufe an, die im Komprimier-Backendprogramm beim Bau eines Pakets verwendet werden soll. Standardmäßig ist dies 9 für Gzip, 6 für Xz. Die akzeptierten Werte innerhalb von 0-9 sind: 0 wird auf den Komprimierer „none“ für Gzip einstellen. Vor Dpkg 1.16.2 war die Stufe 0 äquivalent zu dem Komprimierer „none“ für alle Komprimierer.

-SKomprimierstrategie
    Gibt die zu verwendende Komprimierstrategie an, die für den Komprimierer-Backend beim Bau eines Pakets verwandt werden soll (seit Dpkg 1.16.2). Erlaubte Werte sind none (seit Dpkg 1.16.4), filtered, huffman, rle und fixed für Gzip (seit Dpkg 1.17.0) und extreme für Xz.

-ZKomprimierart
    Gibt die Art der Komprimierung beim Bau eines Pakets an. Erlaubte Werte sind gzip, xz (seit Dpkg 1.15.6) und none (voreingestellt ist xz).

--[no-]uniform-compression
    Gibt an, dass die gleichen Komprimierungsparameter für alle Archivteile (d.h. control.tar und data.tar; seit Dpkg 1.17.6) verwandt werden sollen. Andernfalls wird nur der Teil data.tar diese Parameter verwenden. Die einzigen unterstützten Kompressionstypen, die übergreifend benutzt werden dürfen, sind none, gzip und xz. Die Option --no-uniform-compression deaktiviert die übergreifende Komprimierung (seit Dpkg 1.19.0). Übergreifende Komprimierung ist die Vorgabe (seit Dpkg 1.19.0).

--threads-max=Threads
    Setzt die maximale Anzahl an Threads, die für Komprimierer erlaubt sind, die multi-threaded Aktionen erlauben (seit Dpkg 1.21.9).

--root-owner-group
    Setzt für jeden Eintrag in den Dateisystembaumdaten den Eigentümer und die Gruppe auf Kennung 0 (seit Dpkg 1.19.0).

    Hinweis: Diese Option kann für rootloses Bauen (siehe rootless-builds.txt) nützlich sein, sollte aber nicht verwandt werden, wenn Einträge eine von root verschiedenen Eigentümer oder Gruppe haben. Die Unterstützung hierfür wird später in der Form eines Meta-Manifests hinzugefügt.

--deb-format=Format
    Setzt das beim Bau verwandte Archivformat (seit Dpkg 1.17.0). Erlaubte Werte sind 2.0 für das neue Format und 0.939000 für das alte Format (Vorgabe ist 2.0).

    Das alte Format wird nicht so leicht von nicht-Debian-Werkzeugen eingelesen und ist jetzt veraltet; der einzige Zweck ist zum Bau von Paketen, die von Dpkg-Versionen kleiner 0.93.76 (September 1995) eingelesen werden sollen. Diese Dpkg-Version wurde nur als i386 a.out-Programm veröffentlicht.

--nocheck
    Unterdrückt die normalen Überprüfungen von dpkg-deb --build über die vorgeschlagenen Inhalte eines Archivs. Damit können Sie jedes Archiv bauen, das Sie möchten, egal wie defekt es ist.

-v, --verbose
    Aktiviert ausführliche Ausgabe (seit Dpkg 1.16.1). Dies betrifft derzeit nur --extract, wodurch dieses sich wie --vextract verhält.

-D, --debug
    Aktiviert Fehlersuchausgaben („debugging“). Dies ist nicht sehr interessant.

RÜCKGABEWERT

0   Die angeforderte Aktion wurde erfolgreich ausgeführt.

2   Fataler oder nicht behebbarer Fehler aufgrund eines ungültigen Befehlszeilenaufrufs oder Interaktionen mit dem System, wie Zugriffe auf die Datenbank, Speicherzuweisungen usw.

UMGEBUNG

DPKG_DEB_THREADS_MAX
    Setzt die maximale Anzahl an Threads, die für Komprimierer erlaubt sind, die multi-threaded Aktionen erlauben (seit Dpkg 1.21.9).

    Die Option --threads-max erlaubt das Hinwegsetzen über diesen Wert.

DPKG_DEB_COMPRESSOR_TYPE
    Setzt den zu verwendenden Komprimiertyp (seit Dpkg 1.21.10).

    Die Option -Z erlaubt das Hinwegsetzen über diesen Wert.

DPKG_DEB_COMPRESSOR_LEVEL
    Setzt die zu verwendende Komprimierstufe (seit Dpkg 1.21.10).

    Die Option -z erlaubt das Hinwegsetzen über diesen Wert.

DPKG_COLORS
    Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

TMPDIR
    Falls gesetzt, wird dpkg-deb es als das Verzeichnis verwenden, in dem temporäre Dateien und Verzeichnisse erstellt werden.

SOURCE_DATE_EPOCH
    Falls gesetzt, wird es als Zeitstempel (als Sekunden seit der Epoche) in dem ar(5)-Container von deb(5) und zum Festlegen der Mtime in den Dateieinträgen von tar(5) verwandt.

BEMERKUNGEN
Versuchen Sie nicht, nur mit dpkg-deb Software zu installieren! Sie müssen dpkg selber verwenden, um sicherzustellen, dass alle Dateien an den richtigen Ort platziert werden, die Paketskripte ausgeführt werden und sein Status und Inhalt aufgezeichnet wird.

FEHLER
dpkg-deb -I Paket1.deb Paket2.deb macht das Falsche.

.deb-Dateien werden nicht authentifiziert; in der Tat gibt es noch nicht mal eine klare Prüfsumme. (Abstraktere Werkzeuge wie APT unterstützen die Authentifizierung von .deb-Paketen, die von einem vorgegebenen Depot geholt wurden und die meisten Pakete stellen heutzutage eine md5sum-Steuerdatei bereit, die mittels debian/rules erstellt wurde. Allerdings wird dies von den Werkzeugen auf niedrigerer Ebene nicht direkt unterstützt.)

SIEHE AUCH
/usr/share/doc/dpkg-1.21.15-r3/spec/rootless-builds.txt, deb(5), deb-control(5), dpkg(1), dselect(1).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2022 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.